<%= form_with(model: post) do |form| %>
  <% if post.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(post.errors.count, "error") %> prohibited this post from being saved:</h2>

      <ul>
        <% post.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
  
  <div class="field">
    <label class="label">Title</label>
    <div class="control">
      <%= form.text_field :title, class: "input" %>
    </div>
  </div>

  <div class="field">
    <%= form.label :body, class: "label" %>
    <div class="control" style="min-height:13em;">
      <%= form.rich_text_area :content %>
    </div>
  </div>

  <div>
    <%= form.submit class: "button is-success mb-2" %>
  </div>



<% end %>
